This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 893590 - The fact 'lscpu.on-line_cpu(s)_list' must be an integer.
The fact 'lscpu.on-line_cpu(s)_list' must be an integer.
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: William Poteat
Katello QA List
: Regression
Depends On:
Blocks: rhsm-rhel510 rhsm-rhel70 rhsm-2013
  Show dependency treegraph
 
Reported: 2013-01-09 09:43 EST by John Sefler
Modified: 2015-05-14 10:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:49:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-01-09 09:43:45 EST
Description of problem:
Cannot register from subscription-manager due to an offending fact.


Version-Release number of selected component (if applicable):
[root@jsefler-f14-6candlepin candlepin]# git log | head -1
commit 6609acbb34864a5b1d1bf0341e49153eaf78a21d
[root@jsefler-6server ~]# rpm -q subscription-manager python-rhsm
subscription-manager-1.1.20-1.git.0.9e419df.el6.x86_64
python-rhsm-1.1.8-1.git.0.dd4869c.el6.x86_64


How reproducible:


Steps to Reproduce:
[root@jsefler-6server ~]# subscription-manager facts --list | grep on-line_cpu
lscpu.on-line_cpu(s)_list: 0,1
[root@jsefler-6server ~]# subscription-manager register --username testuser1 --password password --org admin
The fact 'lscpu.on-line_cpu(s)_list' must be an integer.


Actual results:


Expected results:


Additional info:
[root@jsefler-f14-6candlepin candlepin]# tail -f /var/log/tomcat6/catalina.out
NOTHING

[root@jsefler-6server ~]# tail -f /var/log/rhsm/rhsm.log
2013-01-09 09:40:20,750 [DEBUG]  @connection.py:381 - Making request: POST /candlepin/consumers?owner=admin
2013-01-09 09:40:20,803 [DEBUG]  @connection.py:394 - Response status: 400
2013-01-09 09:40:20,803 [ERROR]  @managercli.py:968 - The fact 'lscpu.on-line_cpu(s)_list' must be an integer.
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/managercli.py", line 965, in _do_command
    installed_products=self.installed_mgr.format_for_server())
  File "/usr/lib64/python2.6/site-packages/rhsm/connection.py", line 611, in registerConsumer
    return self.conn.request_post(url, params)
  File "/usr/lib64/python2.6/site-packages/rhsm/connection.py", line 440, in request_post
    return self._request("POST", method, params)
  File "/usr/lib64/python2.6/site-packages/rhsm/connection.py", line 399, in _request
    self.validateResponse(result)
  File "/usr/lib64/python2.6/site-packages/rhsm/connection.py", line 424, in validateResponse
    raise RestlibException(response['status'], error_msg)
RestlibException: The fact 'lscpu.on-line_cpu(s)_list' must be an integer.
Comment 3 William Poteat 2013-01-11 14:22:12 EST
commit dcc2f2235fcf30c6db49ee512e24f3f78bdd89ce
Comment 4 Shwetha Kallesh 2013-03-14 05:51:32 EDT
[root@rhel7 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.0-1
subscription-manager: 1.8.4-1.el7
python-rhsm: 1.8.7-1.el7

Verified!!
[root@rhel7 ~]# subscription-manager register --username testuser1 --password password --org admin --force
The system with UUID d74754f9-763b-49b2-8dfb-c0354422e52f has been unregistered
The system has been registered with id: e3196c2a-afad-4143-bb7b-e5f2a53d71b4
Comment 6 Shwetha Kallesh 2013-03-14 13:11:40 EDT
Verified!!

[root@rhel7 ~]# subscription-manager facts --list | grep on-line_cpu
lscpu.on-line_cpu(s)_list: 0,1


[root@rhel7 ~]# subscription-manager register --username testuser1 --password password --org admin --force
The system with UUID 69610a4a-57b6-4dcd-aba6-920c894bf69a has been unregistered
The system has been registered with id: 6bd84fe6-36de-499d-8ef2-1e2d001a9ca8

Note You need to log in before you can comment on or make changes to this bug.